#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	lxml

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	2.2.2
Release:	2
License:	BSD
Group:		Development/Libraries
Summary:	ElementTree-like Python bindings for libxml2 and libxslt
URL:		http://codespeak.net/%{original_name}/
Source0:	http://codespeak.net/%{original_name}/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	libxslt-devel
BuildRequires:	libxslt-python%{PVER}
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-python%{PVER}

Provides:	python-lxml = %{version}-%{release}
Obsoletes:	python-lxml <= %{version}-%{release}
Obsoletes:	python25-lxml

%description
lxml provides a Python binding to the libxslt and libxml2 libraries.
It follows the ElementTree API as much as possible in order to provide
a more Pythonic interface to libxml2 and libxslt than the default
bindings.  In particular, lxml deals with Python Unicode strings
rather than encoded UTF-8 and handles memory management automatically,
unlike the default bindings.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{original_name}-%{version}
chmod a-x doc/rest2html.py

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root %{buildroot}

# Don' remove *.egg-info dirs!
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc README.txt LICENSES.txt PKG-INFO CREDITS.txt CHANGES.txt doc/
%{python_sitearch}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.2.2-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.2.2-1
- Version update, build against python25-2.5.4-3
* Mon Jul 14 2008 Christian Wasem <wasem@ccux-linux.de> 2.1-1
- Version update
* Wed Mar 12 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.2-1
- initial release
